- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IBroadcastEventReceiver IButtonControl INamingContainer IPageStatePersister IPostBackDataHandler IPostBackEventHandler ISurroundable ITemplate ITheme IValidatable IValidator TBroadcastEventParameter TCachePageStatePersister TClientScriptManager TClientSideOptions TCommandEventParameter TCompositeControl TCompositeLiteral TControl TControlAdapter TControlCollection TEmptyControlCollection TForm THead THtmlWriter TPage TPageStateFormatter TPageStatePersister TSessionPageStatePersister TTemplate TTemplateControl TTemplateManager TTextProcessor TTheme TThemeManager |
Keyword
# Class TBroadcastEventParameter
    TComponent
       |
       --TEventParameter
          |
          --TBroadcastEventParameter
TBroadcastEventParameter class TBroadcastEventParameter encapsulates the parameter data for events that are broadcasted. The name of of the event is specified via Name property while the event parameter is via Parameter property. Since: 3.0 Author: Qiang Xue <qiang.xue@gmail.com>
Constructor Summary
public | __construct Array Constructor.
Method Summary
string | getName ()
mixed | getParameter ()
void | setName ( string $value)
void | setParameter ( mixed $value)
Methods Inherited From TComponent
TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()
Constructor Details
## __construct
public __construct | Array
Constructor.
Method Details
## getName
public string getName | ()
Output
string | name of the broadcast event
Exception
## getParameter
public mixed getParameter | ()
Output
mixed | parameter of the broadcast event
Exception
## setName
public void setName | (string $value )
Input
string | $value | name of the broadcast event
Output
Exception
## setParameter
public void setParameter | (mixed $value )
Input
mixed | $value | parameter of the broadcast event
Output
Exception